FreeMat

- Main Page
- Related Pages

vtkViewUpdater

Section: Visualization Toolkit View Classes

# Usage

vtkViewUpdater registers with annotation change events for a set of annotation links, and updates all views when an annotation link fires an annotation changed event. This is often needed when multiple views share a selection with vtkAnnotationLink.

To create an instance of class vtkViewUpdater, simply invoke its constructor as follows

      obj = vtkViewUpdater

# Methods

The class vtkViewUpdater has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkViewUpdater class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkViewUpdater = obj.NewInstance ()`
- `vtkViewUpdater = obj.SafeDownCast (vtkObject o)`
- `obj.AddView (vtkView view)`
- `obj.AddAnnotationLink (vtkAnnotationLink link)`